<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");
function xExportar($varForm) {
	$objResponse=new xajaxResponse();
	$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
		$varAni = ($varForm["anio"]=="Ninguno")?"NULL":"'".$varForm["anio"]."'";
		$varMes = ($varForm["mes"]=="Ninguno")?"NULL":"'".$varForm["mes"]."'";
		$varEmp = ($varForm["ecod"]=="")?"NULL":$varForm["ecod"];
		$varVen = ($varForm["vcod"]=="")?"NULL":$varForm["vcod"];
		$varPro = ($varForm["pcod"]=="")?"NULL":$varForm["pcod"];
		$sql = "call spQuery_Cuota_Venta_Familia($varAni, $varMes, $varEmp, $varPro, $varVen, $varUsr, 'CEMP, CPRO, CVEN, CTIP, CFAM, CSUB', NULL)";
		$varCab = array(array("cab"=>"FAMILIA", "det"=>array("CTIP","TIPO","CFAM","FAMILIA","CSUB","SUB FAMILIA")),
						array("cab"=>"CUOTA ".$varForm["anio"]."-".$varForm["mes"], "det"=>array("MONTO","CANTIDAD"))
						);
		$varNiv = array(0 =>array("COD"=>"CVEN","DES"=>"VENDEDOR"),
						1 =>array("COD"=>"CPRO","DES"=>"PROVEEDOR"),
						2 =>array("COD"=>"CEMP","DES"=>"EMPRESA"));
		$varFor = array(4=>array("tipodat"=>"texto", "alinear"=>"center"),
						6=>array("tipodat"=>"texto", "alinear"=>"center"),
						7=>array("tipodat"=>"texto", "alinear"=>"left"),
						8=>array("tipodat"=>"texto", "alinear"=>"center"),
						9=>array("tipodat"=>"texto", "alinear"=>"left"),
						10=>array("tipodat"=>"texto", "alinear"=>"center"),
						11=>array("tipodat"=>"texto", "alinear"=>"left"),
						);
	$varTitulo = "CUOTAS DE VENTA POR FAMILIA";
	$_SESSION["_varNiv"] = $varNiv;
	$_SESSION["_varPag"] = $varTitulo;
	$_SESSION["_varCab"] = $varCab;
	$_SESSION["_varSql"] = $sql;
	$_SESSION["_varFor"] = $varFor;
	$objResponse->redirect("../export_grid_combinado.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsCuotaVenta($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar);
	return $respuestaXajax;
	}

function xFormuRegistro($varOpt, $varAnio, $varMes, $varEmp, $varVen, $varPro, $varTip, $varFam, $varSub) {
	$var = VarServer("MYSQLI");
	$obj = new clsCuotaVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistro($varOpt, $varAnio, $varMes, $varEmp, $varVen, $varPro, $varTip, $varFam, $varSub);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsCuotaVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsCuotaVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$varTabla.= $obj->FormuBusqueda();
		$varTabla.= "<div id=\"divDatos\">";
//		$varTabla.= $obj->GridDatos();		
		$varTabla.= "</div>";
		$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}
function xEliminar($varAnio, $varMes, $varEmp, $varVen, $varPro, $varTip, $varFam, $varSub) {
	$var = VarServer("MYSQLI");
	$obj = new clsCuotaVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$obj->ProcesoEliminar($varAnio, $varMes, $varEmp, $varVen, $varPro, $varTip, $varFam, $varSub);	
	return true;
	}
		
$xajax->register(XAJAX_FUNCTION, 'seleccionar_empresa');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');
$xajax->register(XAJAX_FUNCTION, 'Combo_Producto_Tipo_Prov');
$xajax->register(XAJAX_FUNCTION, 'Combo_Producto_Familia_Prov');
$xajax->register(XAJAX_FUNCTION, 'Combo_Producto_SubFamilia_Prov');
$xajax->register(XAJAX_FUNCTION, 'comboMesMetas');

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');

$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN AŅO");  
			xajax.$("anio").focus();
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");  
			xajax.$("mes").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);
			}
		}
	function xImprimirJS() {
		var varAni = xajax.$("anio").value;
		var varMes = xajax.$("mes").value;
		var varEmp = xajax.$("ecod").value;
		var varPro = xajax.$("pcod").value;
		var varVen = xajax.$("vcod").value;
		
		if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN AŅO");  
			xajax.$("anio").focus();
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");  
			xajax.$("mes").focus();
			return (false); 
			}
		else {
			var Ruta = 'print/print_cuota_venta_familia.php?anio='+varAni+'&mes='+varMes+'&emp='+varEmp+'&pro='+varPro+'&ven='+varVen;
			testwindow= window.open (Ruta, "print_cuota_venta_familia", "location=no,status=no,toolbar=no,scrollbars=1,width=900,height=500");
			}
		}
	function xExportarJS() {
		if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN AŅO");  
			xajax.$("anio").focus();
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");  
			xajax.$("mes").focus();
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}
		}
	function xGrabarJS() {
		var varCab = "\tERROR AL PROCESAR DATOS...!!!!!\n======================================\n";
		var varDet = "";
		if (xajax.$("emp") && xajax.$("emp").value=="Ninguno") {
			varDet = varDet + "- DEBE SELECCIONAR UNA EMPRESA\n";  
			}
		if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") {
			varDet = varDet + "- DEBE SELECCIONAR UN AŅO\n";  
			}
		if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") {
			varDet = varDet + "- DEBE SELECCIONAR UN MES\n";  
			}	
		if (xajax.$("ven") && xajax.$("ven").value=="Ninguno") {
			varDet = varDet + "- DEBE SELECCIONAR UN VENDEDOR\n";  
			}
		if (xajax.$("pro") && xajax.$("pro").value=="Ninguno") {
			varDet = varDet + "- DEBE SELECCIONAR UN PROVEEDOR\n";  
			}
		if (xajax.$("tip") && xajax.$("tip").value=="Ninguno") {
			varDet = varDet + "- DEBE SELECCIONAR UN TIPO\n";  
			}
		if (xajax.$("fam") && xajax.$("fam").value=="Ninguno") {
			varDet = varDet + "- DEBE SELECCIONAR UNA FAMILIA\n";  
			}
		if (xajax.$("sub") && xajax.$("sub").value=="Ninguno") {
			varDet = varDet + "- DEBE SELECCIONAR UNA SUB FAMILIA\n";
			}
		if (xajax.$("mon") && xajax.$("mon").value=="") {
			varDet = varDet + "- DEBE ESPECIFICAR UN MONTO\n";
			}	
		else if (parseFloat(xajax.$("mon").value) <= 0) {
			varDet = varDet + "- EL MONTO DE LA META DEBE SER MAYOR A CERO";  
			}
		if (varDet!="") {
			alert(varCab + varDet);  
			return (false);
			}
		else {
			if (_confirm('&iquest;DESEA GRABAR LOS DATOS?')) {
				xajax_xGrabar(xajax.getFormValues('form'));		
				}
			}
		}
	function xEliminarJS(varAnio, varMes, varEmp, varVen, varPro, varTip, varFam, varSub, varTab) {
		if(_confirm('&iquest;ESTA SEGURO DE ELIMINAR EL REGISTRO?')) {			
			xajax_xEliminar(varAnio, varMes, varEmp, varVen, varPro, varTip, varFam, varSub);
			EliminarFilaTabla(varTab)
			}
				
		}
	function FormuRegistroJS(varOpt, varAnio, varMes, varEmp, varVen, varPro, varTip, varFam, varSub) {
		UnTip();
		xajax_xFormuRegistro(varOpt, varAnio, varMes, varEmp, varVen, varPro, varTip, varFam, varSub);		
		}
</script>
<?php
function MyTable($obj, $Titulo, $Opcion, $Valor, $TamFila) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";	
	} 
?>